org.apache.maven.scm.provider.tfs.command

## Class TfsChangeLogCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.changelog.AbstractChangeLogCommand
    - - org.apache.maven.scm.provider.tfs.command.TfsChangeLogCommand

All Implemented Interfaces:
  ChangeLogCommand, Command

    public class TfsChangeLogCommand
    extends AbstractChangeLogCommand

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`TfsChangeLogCommand()`

### Method Summary

Methods
`protected TfsCommand` `createCommand(ScmProviderRepository r, ScmFileSet f, File file)`
`protected ChangeLogScmResult` `executeChangeLogCommand(ScmProviderRepository r, ScmFileSet f, Date startDate, Date endDate, ScmBranch branch, String datePattern)`

### Methods inherited from class org.apache.maven.scm.command.changelog.AbstractChangeLogCommand

`executeChangeLogCommand, executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TfsChangeLogCommand

    public TfsChangeLogCommand()

### Method Detail

#### executeChangeLogCommand

    protected ChangeLogScmResult executeChangeLogCommand(ScmProviderRepository r,
                                             ScmFileSet f,
                                             Date startDate,
                                             Date endDate,
                                             ScmBranch branch,
                                             String datePattern)
                                                  throws ScmException

Specified by:
  `executeChangeLogCommand` in class `AbstractChangeLogCommand`
Throws:
  `ScmException`

#### createCommand

    protected TfsCommand createCommand(ScmProviderRepository r,
                           ScmFileSet f,
                           File file)